# -slp (Set Large Pages mode) switch

Sets Large Pages mode.

#### Syntax

    -slp[-]

Switch | Description
--- | ---
-slp | Enables Large Pages mode.
-slp- | Disables Large Pages mode. This option is default for all commands.

Large Pages mode increases the speed of compression. However, there is a pause at the start of compression while 7-Zip allocates the large pages in memory. If 7-Zip can't allocate large pages, it allocates usual small pages. Also, the Windows Task Manager doesn't show the real memory usage of the program, if 7-Zip uses large pages. This feature works only on Windows 2003 / XP x64. Also, it requires administrator's rights for your system. The recommended size of RAM for this feature is 1 GB or more. To install this feature, you must run the 7-Zip File Manager at least once, close it, and then reboot the system.

Your system can hang for several seconds at compressing starting, if you use -slp mode. So it's not recommended to use -slp mode to compress small data sets (less than 100 MB).

#### Example

    7z a archive.7z -slp a.iso

compresses a.iso file with Large Pages mode switched on.